<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 订单记录
 */
class OrderRecord extends Model
{
    use SoftDeletes;

    protected $table = 'order_records';

    protected $guarded = [];

    /**
     * @Author FelixYin
     *
     * @description 记录所属订单
     */
    public function order()
    {
        return $this->belongsTo('App\Models\OrderInfo', 'order_id');
    }
}
