<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Slowlyo\OwlAdmin\Models\BaseModel as Model;

/**
 * 行政区划
 */
class SysRegion extends Model
{
	use SoftDeletes;

	protected $table = 'sys_region';

    /**
     * @Author FelixYin
     * @description 行政区划所属上级区划
     */
    public function parentRegion()
    {
        return $this->belongsTo('App\Models\SysRegion', 'parentId');
    }
}